<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<META NAME="Generator" CONTENT="MS Exchange Server version 6.5.7654.12">
<TITLE>RE: Problem installing NumPy with Python 3.2.2/MacOS X 10.7.2</TITLE>
</HEAD>
<BODY>
<!-- Converted from text/plain format -->

<P><FONT SIZE=2>Hi There,<BR>
<BR>
Thanks for the responses.<BR>
<BR>
At this point I would settle from just being able to install matplotlib. Even if some of the functionality isn't present currently that is fine.<BR>
<BR>
I'm afraid my knowledge of Python falls down about here as well. I installed Python 3.2.2 via the installer from Python.org so I have no idea whether Python.h is present or where indeed I would find it or how I would add it to the search path.<BR>
<BR>
Do I have to install from source or something like that?<BR>
<BR>
Thanks again,<BR>
<BR>
<BR>
Adam.<BR>
<BR>
<BR>
-----Original Message-----<BR>
From: McNicol, Adam<BR>
Sent: Fri 12/16/2011 11:07 PM<BR>
To: numpy-discussion@scipy.org<BR>
Subject: Problem installing NumPy with Python 3.2.2/MacOS X 10.7.2<BR>
<BR>
Hi There,<BR>
<BR>
I am very new to numpy and have really only started investigating it as one of my students needs some functionality from matplotlib. I have managed to install everything under Windows for work in class but I use a Mac at home and have been struggling all night to get it to build and install.<BR>
<BR>
I should mention that I am using Python 3.2.2 both in school and at home and it isn't an option to use Python 2.7 as all of the rest of my class is taught in Python 3. I also have the most recent version of Xcode installed.<BR>
<BR>
I have installed the correct build of gcc-4.2 with Fortran (gcc-4.2 (Apple build 5666.3) with GNU Fortran 4.2.4 for Mac OS X 10.7 (Lion)) from <A HREF="http://r.research.att.com/tools/">http://r.research.att.com/tools/</A><BR>
<BR>
I then followed the install instructions but the build fails with the following message:<BR>
<BR>
  File "numpy/core/setup.py", line 271, in check_types<BR>
    "Cannot compile 'Python.h'. Perhaps you need to "\<BR>
SystemError: Cannot compile 'Python.h'. Perhaps you need to install python-dev|python-devel.<BR>
<BR>
I have got no idea what to do with this error message. Any help would be much appreciated.<BR>
<BR>
Kind Regards,<BR>
<BR>
<BR>
Adam.<BR>
<BR>
</FONT>
</P>

</BODY>
</HTML>